Import a Make connection into a project environment
curl --request POST \
--url https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"project_id": "<string>",
"environment_id": "<string>",
"provider_organization_id": 2,
"team_id": 2,
"connection_id": 2
}
'import requests
url = "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports"
payload = {
"project_id": "<string>",
"environment_id": "<string>",
"provider_organization_id": 2,
"team_id": 2,
"connection_id": 2
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
project_id: '<string>',
environment_id: '<string>',
provider_organization_id: 2,
team_id: 2,
connection_id: 2
})
};
fetch('https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'environment_id' => '<string>',
'provider_organization_id' => 2,
'team_id' => 2,
'connection_id' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"environment_id\": \"<string>\",\n \"provider_organization_id\": 2,\n \"team_id\": 2,\n \"connection_id\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"environment_id\": \"<string>\",\n \"provider_organization_id\": 2,\n \"team_id\": 2,\n \"connection_id\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"environment_id\": \"<string>\",\n \"provider_organization_id\": 2,\n \"team_id\": 2,\n \"connection_id\": 2\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"grant_id": "<string>",
"project_id": "<string>",
"environment_id": "<string>",
"provider_organization_id": 2,
"team_id": 2,
"connection_id": 2
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "https://docs.ohmyho.st/errors/resource-not-found",
"title": "Resource not found",
"status": 404,
"code": "resource_not_found",
"request_id": "req_01J00000000000000000000000",
"retryable": false,
"suggested_action": "Check the resource identifier and your access scope."
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}API Reference
Import a Make connection into a project environment
POST
/
v1
/
organizations
/
{organization_id}
/
connections
/
{grant_id}
/
imports
Import a Make connection into a project environment
curl --request POST \
--url https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"project_id": "<string>",
"environment_id": "<string>",
"provider_organization_id": 2,
"team_id": 2,
"connection_id": 2
}
'import requests
url = "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports"
payload = {
"project_id": "<string>",
"environment_id": "<string>",
"provider_organization_id": 2,
"team_id": 2,
"connection_id": 2
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
project_id: '<string>',
environment_id: '<string>',
provider_organization_id: 2,
team_id: 2,
connection_id: 2
})
};
fetch('https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project_id' => '<string>',
'environment_id' => '<string>',
'provider_organization_id' => 2,
'team_id' => 2,
'connection_id' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports"
payload := strings.NewReader("{\n \"project_id\": \"<string>\",\n \"environment_id\": \"<string>\",\n \"provider_organization_id\": 2,\n \"team_id\": 2,\n \"connection_id\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_id\": \"<string>\",\n \"environment_id\": \"<string>\",\n \"provider_organization_id\": 2,\n \"team_id\": 2,\n \"connection_id\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/imports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project_id\": \"<string>\",\n \"environment_id\": \"<string>\",\n \"provider_organization_id\": 2,\n \"team_id\": 2,\n \"connection_id\": 2\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"grant_id": "<string>",
"project_id": "<string>",
"environment_id": "<string>",
"provider_organization_id": 2,
"team_id": 2,
"connection_id": 2
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "https://docs.ohmyho.st/errors/resource-not-found",
"title": "Resource not found",
"status": 404,
"code": "resource_not_found",
"request_id": "req_01J00000000000000000000000",
"retryable": false,
"suggested_action": "Check the resource identifier and your access scope."
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}Authorizations
Headers
Body
application/json
Response
Imported project connection reference.